local max_any_in_area = 6
local max_in_area_radius = 8
local positions_per_mapblock = 16

spawnit.register({
	entity_name = "yl_nether_mobs:blaze",
	groups = { monster = 1 },
	chance = 15.3 * 2,
	cluster = 4,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:lava_crust" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 5,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:iron_golem",
	groups = { monster = 1 },
	chance = 13.7 * 2,
	cluster = 1,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack_deep", "nether:rack" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 5,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:ogre",
	groups = { monster = 1 },
	chance = 13.3 * 2,
	cluster = 5,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack_deep", "nether:rack" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 5,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:rat",
	groups = { monster = 1 },
	chance = 12.7 * 2,
	cluster = 3,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack_deep", "nether:rack" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 5,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:witherskeleton",
	groups = { monster = 1 },
	chance = 20.1 * 2,
	cluster = 6,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack", "nether:sand", "nether:basalt", "nether:rack_deep" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 10,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:evoker",
	groups = { monster = 1 },
	chance = 27.3,
	cluster = 3,
	positions_per_mapblock = positions_per_mapblock,
	on = {
		"nether:rack",
		"nether:sand",
		"nether:rack_deep",
		"yl_nether:rack_deep_with_electrum",
		"yl_nether:rack_deep_with_electrumite",
	},
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 10,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:whip",
	groups = { monster = 1 },
	chance = 20.3 * 2,
	cluster = 5,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack_deep", "yl_nether:rack_deep_with_electrum", "yl_nether:rack_deep_with_electrumite" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 9,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "yl_nether_mobs:wither",
	groups = { monster = 1 },
	chance = 25.7,
	cluster = 2,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:rack", "nether:sand", "nether:rack_deep", "nether:lava_crust" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	max_any_in_area = max_any_in_area,
	max_in_area_radius = max_in_area_radius,
	min_player_distance = 12,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)
